moSetGetPDAcfg = {};

function moSetGetPDAcfg:refreshMiniPDAslots(self, slot, deleteOld)
	local slotTemp = slot;
	local slotNameTemp = moGuiMiniPDAcfgAreasValues[slot].name;
	for a=1, moGuiMiniPDAsetGet.slotsActive do
		local nameSlot = moGuiMiniPDAsetGet.slot[a];
		if string.find(nameSlot, slotNameTemp) then
			slot = a;
			break;
		end;
	end;
	if deleteOld then
		if moGuiMiniPDAsetGet.slotOpen == slot then moGuiMiniPDAsetGet.slotOpen = 0;end;
		if moGuiMiniPDAsetGet.slotOpenTemp == slot then moGuiMiniPDAsetGet.slotOpenTemp = 0;end;		
		if string.find(moGuiMiniPDAsetGet.slotNotReadyFound, moGuiMiniPDAsetGet.slot[slot].. " ") then string.gsub(moGuiMiniPDAsetGet.slotNotReadyFound, moGuiMiniPDAsetGet.slot[slot] .." ", "");end;		
		moGuiMiniPDAsetGet.slotsActive = moGuiMiniPDAsetGet.slotsActive-1;
		if moGuiMiniPDAsetGet.slotsActive <= 0 then moGuiMiniPDAsetGet.posX = 0.31;moGuiMiniPDAsetGet.posY = 0.92;end;		
		if moGuiMiniPDAsetGet.cfgSlotOpen == slotTemp then moGuiMiniPDAsetGet.cfgSlotOpen = 0;end;
		if moGuiMiniPDAsetGet.isKeySwitchActive then
			moGuiMiniPDAsetGet.keySwitchLast = 1;
			if moGuiMiniPDAsetGet.slotsActive == 0 then
				moSetGetGui["keySwitch"]:setPosition(0, 0);
			else
				moSetGetGui["keySwitch"]:setPosition(moGuiMiniPDAsetGet.posX+(moGuiMiniPDAsetGet.horizontal*moGuiMiniPDAsetGet.keySwitchLast), moGuiMiniPDAsetGet.posY-(moGuiMiniPDAsetGet.vertical*moGuiMiniPDAsetGet.keySwitchLast));
			end;
		end;		
		table.remove(moGuiMiniPDAsetGet.slot, slot);
		table.remove(moGuiMiniPDAsetGet.slotSwitch, slot);
		table.remove(moGuiMiniPDAsetGet.slotWarning, slot);
		table.remove(moGuiMiniPDAsetGet.warningsTime, slot);
		table.remove(moGuiMiniPDAsetGet.slotCloseOpenHud, slot);
		table.remove(moGuiMiniPDAsetGet.slotCloseOpenForeignHuds, slot);
		table.remove(moGuiMiniPDAsetGet.slotOpenX, slot);
		table.remove(moGuiMiniPDAsetGet.slotOpenY, slot);
		table.remove(moGuiMiniPDAsetGet.slotOpenLastWidth, slot);
		table.remove(moGuiMiniPDAsetGet.slotOpenLastHeight, slot);
		table.remove(moGuiMiniPDAsetGet.lengthName, slot);
		table.remove(moGuiMiniPDAsetGet.maxProSwitch, slot);
		table.remove(moGuiMiniPDAsetGet.lengthDefault, slot);
		table.insert(moGuiMiniPDAsetGet.lengthDefault, 32);
		table.insert(moGuiMiniPDAsetGet.maxProSwitch, 4);
		table.insert(moGuiMiniPDAsetGet.lengthName, 0);
		table.insert(moGuiMiniPDAsetGet.slotSwitch, 0);
		table.insert(moGuiMiniPDAsetGet.slotWarning, false);
		table.insert(moGuiMiniPDAsetGet.warningsTime, 0);
		table.insert(moGuiMiniPDAsetGet.slotCloseOpenHud, false);
		table.insert(moGuiMiniPDAsetGet.slotCloseOpenForeignHuds, false);
		table.insert(moGuiMiniPDAsetGet.slotOpenX, 0);
		table.insert(moGuiMiniPDAsetGet.slotOpenY, 0);
		table.insert(moGuiMiniPDAsetGet.slotOpenLastWidth, 0.20);
		table.insert(moGuiMiniPDAsetGet.slotOpenLastHeight, 0.20);
		moSetGetConfigXml:saveConfig(self);		
		if moGuiMiniPDAsetGet.slotsActive ~= 0 then moSetGetGui:loadSlotImages(self, true);end;
		--moGuiMiniPDAareas:inActiveSlotNewPos(self, slotTemp);
		moGuiMiniPDAareas:setMiniPDAcfgAreas(self)			
	else
		local name = Utils.splitString(" ", moGuiMiniPDAsetGet.slotNameOn);		
		if name ~= nil then			
			if name[slot] ~= nil and string.len(name[slot]) > 2 then				
				local slotName = string.gsub(name[slot], " ", "");
				local stopDouble = false;
				for a=1, moGuiMiniPDAsetGet.slotsActive do					
					if string.find(slotName, moGuiMiniPDAsetGet.slot[a]) then
						stopDouble = true;
						break;
					end;
				end;
				if not stopDouble then
					table.insert(moGuiMiniPDAsetGet.slot, slotName);
					local slotInsert = table.getn(moGuiMiniPDAsetGet.slot);
					if string.find(moGuiMiniPDAsetGet.slotSwitchOn, slotName.. " ") then
						moGuiMiniPDAsetGet.slotSwitch[slotInsert] = 1;
					end;
					---nochmal prüfen,macht schwierigkeiten----
					if string.find(moGuiMiniPDAsetGet.slotOpenSlotNewPosOn, slotName.. " ") then
						moGuiMiniPDAsetGet.slotOpenX[slotInsert] = moGuiMiniPDAsetGet.openX;
						moGuiMiniPDAsetGet.slotOpenY[slotInsert] = moGuiMiniPDAsetGet.openY;
						--print("eingetragen slotOpenX...".. tonumber(moGuiMiniPDAsetGet.slotOpenX[slot]))
					else
						moGuiMiniPDAsetGet.slotOpenX[slotInsert] = moSetGetGui.pdaMenuePosX;
						moGuiMiniPDAsetGet.slotOpenY[slotInsert] = moSetGetGui.pdaMenuePosY;						
					end;					
					moGuiMiniPDAsetGet.slotsActive = moGuiMiniPDAsetGet.slotsActive+1;															
				end;				
				moGuiMiniPDAareas:setMiniPDAcfgAreas(self);
				--moGuiMiniPDAareas:activeSlotNewPos(self)
				moSetGetGui:loadSlotImages(self, true);
				moSetGetConfigXml:saveConfig(self);					
			end;
		end;
	end;
end;

function moSetGetPDAcfg:setWarningMiniPDAslots(self, slot, on)	
	local slotNameTemp = moGuiMiniPDAcfgAreasValues[slot].name;
	local setSlot = 0;
	for a=1, moGuiMiniPDAsetGet.slotsActive do
		local nameSlot = moGuiMiniPDAsetGet.slot[a];
		if string.find(nameSlot, slotNameTemp) then
			setSlot = a;
			break;
		end;
	end;
	if setSlot == 0 then return;end;
	if not on then 
		moGuiMiniPDAcfgAreasValues[slot].isWarning = false;
		moGuiMiniPDAsetGet.slotWarning[setSlot] = false;
	else		
		moGuiMiniPDAcfgAreasValues[slot].isWarning = true;
		moGuiMiniPDAsetGet.slotWarning[setSlot] = true;
	end;
	moSetGetConfigXml:saveConfig(self);
end;

function moSetGetPDAcfg:setCloseOpenHudMiniPDAslots(self, slot, on)
	local slotNameTemp = moGuiMiniPDAcfgAreasValues[slot].name;
	local setSlot = 0;
	for a=1, moGuiMiniPDAsetGet.slotsActive do
		local nameSlot = moGuiMiniPDAsetGet.slot[a];
		if string.find(nameSlot, slotNameTemp) then
			setSlot = a;
			break;
		end;
	end;
	if setSlot == 0 then return;end;
	if not on then 
		moGuiMiniPDAcfgAreasValues[slot].isCloseOpenHud = false;
	else
		moGuiMiniPDAcfgAreasValues[slot].isCloseOpenHud = true;
	end;
	moSetGetConfigXml:saveConfig(self);
end;

function moSetGetPDAcfg:setCloseOpenForeignHudsMiniPDAslots(self, slot, on)
	local slotNameTemp = moGuiMiniPDAcfgAreasValues[slot].name;
	local setSlot = 0;
	for a=1, moGuiMiniPDAsetGet.slotsActive do
		local nameSlot = moGuiMiniPDAsetGet.slot[a];
		if string.find(nameSlot, slotNameTemp) then
			setSlot = a;
			break;
		end;
	end;
	if setSlot == 0 then return;end;
	if not on then 
		moGuiMiniPDAcfgAreasValues[slot].isCloseOpenForeignHuds = false;
		moGuiMiniPDAsetGet.slotCloseOpenForeignHuds[setSlot] = false;
	else
		moGuiMiniPDAcfgAreasValues[slot].isCloseOpenForeignHuds = true;
		moGuiMiniPDAsetGet.slotCloseOpenForeignHuds[setSlot] = true;
	end;
	moSetGetConfigXml:saveConfig(self);
end;

function moSetGetPDAcfg:setNewPosOpenMiniPDAslots(self, slot, on)
	local slotNameTemp = moGuiMiniPDAcfgAreasValues[slot].name;
	local setSlot = 0;
	for a=1, moGuiMiniPDAsetGet.slotsActive do
		local nameSlot = moGuiMiniPDAsetGet.slot[a];
		if string.find(nameSlot, slotNameTemp) then
			setSlot = a;
			break;
		end;
	end;
	if setSlot == 0 then return;end;
	if not on then 
		moGuiMiniPDAcfgAreasValues[slot].isOpenSlotNewPos = false;		
		moGuiMiniPDAsetGet.slotOpenX[setSlot] = moGuiMiniPDAsetGet.openX;
		moGuiMiniPDAsetGet.slotOpenY[setSlot] = moGuiMiniPDAsetGet.openY;				
	else
		moGuiMiniPDAcfgAreasValues[slot].isOpenSlotNewPos = true;		
	end;
	moSetGetConfigXml:saveConfig(self);
end;